ATA_BUSY_SLEEP(9)

NAME
ata_busy_sleep - sleep until BSY clears, or timeout

SYNOPSIS

unsigned int ata_busy_sleep (struct ata_port * ap, unsigned long tmout_pat, unsigned long tmout);

ARGUMENTS

ap  port containing status register to be polled

tmout_pat
    impatience timeout

tmout
    overall timeout

DESCRIPTION

Sleep until ATA Status register bit BSY clears, or a timeout occurs.

LOCKING

None.

AUTHOR
Jeff Garzik.